deployment-maps04 root partition space warnings
Closed, ResolvedPublic

Description

/dev/vda3 19G 16G 2.0G 89% /

1.8G /usr
12G /var/lib/postgresql/9.6/main/base/756390

Krenair created this task.Jul 29 2018, 2:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2018, 2:24 AM
Krenair added a subscriber: Mholloway.

@Mholloway do you know about this one?

For some reason, on deployment-maps04, it seems /var/lib/postgresql/9.6/main is being treated as the data directory rather than /srv/postgresql/9.6/main, even though the latter is set in postgresql.conf. Need to investigate further to figure out why that is.

Krenair updated the task description. (Show Details)Jul 30 2018, 4:32 PM

That's probably a good thing to look into though be careful as /srv has it's own problems:
/dev/mapper/vd-second--local--disk 60G 49G 7.5G 87% /srv

Krenair updated the task description. (Show Details)Jul 30 2018, 4:33 PM
Mholloway moved this task from Backlog to In progress on the Maps-Sprint board.
Mholloway claimed this task.
Mholloway triaged this task as High priority.

Mentioned in SAL (#wikimedia-releng) [2018-07-30T20:57:58Z] <mdholloway> deployment-maps04 restarted postgresql to pick up the correct data_directory value (T200634)

Mholloway closed this task as Resolved.Aug 1 2018, 3:45 PM

I fixed the data directory issue and deleted some unneeded data, so I think this is resolved. Please reopen if needed.